// DiplomView.cpp : implementation of the CDiplomView class
//

#include "stdafx.h"
#include "Diplom.h"

#include "DiplomDoc.h"
#include "DiplomView.h"
#include "CountDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDiplomView

IMPLEMENT_DYNCREATE(CDiplomView, CView)

BEGIN_MESSAGE_MAP(CDiplomView, CView)
	//{{AFX_MSG_MAP(CDiplomView)
	ON_COMMAND(ID_CNTDLG, OnCntdlg)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDiplomView construction/destruction

CDiplomView::CDiplomView()
{
	// TODO: add construction code here
	for (int i=0; i<4; i++) { 
	    for (int j=0; j<6; j++) { 
		     int k = ((i + 1) * 80) - 55; 
		     int m = ((j + 4) * 30) - 50; 

		m_rect[i][j].SetRect (k, m, k + 80, m - 30); 
		m_rect[i][j].NormalizeRect(); 
		} 
	}

}

CDiplomView::~CDiplomView()
{
}

BOOL CDiplomView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CDiplomView drawing

void CDiplomView::OnDraw(CDC* pDC)
{
	CDiplomDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here

	for (int i=0; i<4; i++) { 
		for (int j=0; j<6; j++) { 
			pDC->Rectangle (m_rect[i][j]);
		}
	}

	    // Initialize a LOGFONT structure for the fonts.
    CFont font;
VERIFY(font.CreateFont(
   20,                        // nHeight
   8,                         // nWidth
   0,                         // nEscapement
   0,                         // nOrientation
   FW_NORMAL,                 // nWeight
   FALSE,                     // bItalic
   FALSE,                     // bUnderline
   0,                         // cStrikeOut
   ANSI_CHARSET,              // nCharSet
   OUT_DEFAULT_PRECIS,        // nOutPrecision
   CLIP_DEFAULT_PRECIS,       // nClipPrecision
   DEFAULT_QUALITY,           // nQuality
   DEFAULT_PITCH | FF_SWISS,  // nPitchAndFamily
   "Arial Armenian"));                 // lpszFacename

  

CFont* def_font = pDC->SelectObject(&font);
pDC->SetTextColor(RGB(0, 0, 155));
pDC->TextOut(250, 10, "ٳ ܳ˳");
pDC->TextOut(35, 45, ".. I ");
pDC->TextOut(115, 45, ".. II ");
pDC->TextOut(195, 45, ". I");
pDC->TextOut(275, 45, ". II");
font.DeleteObject();
pDC->SetTextColor(RGB(0, 55, 255));
pDC->TextOut(375, 45, "I-   ѳٳ ݹ Q = ");
pDC->TextOut(375, 65, "II-  ѳٳ ݹ Q = ");

	pDC->SetTextColor(RGB(0, 155, 0));

    CString strq1, strq2;
	strq1.Format("%.0f", mQ1);
	pDC->TextOut(630, 45, strq1);

	strq2.Format("%.0f", mQ2);
	pDC->TextOut(630, 65, strq2);

	pDC->SelectObject(def_font);
	// Done with the font.  Delete the font object.
	font.DeleteObject(); 

	CString str1, str2, str3, str4, str5;
	int x, y1;
	x = 30;
	y1 = 75;

	str1.Format("%.2f", hast1);
	pDC->TextOut(x, y1, str1);
  
	y1 += 30;
	str2.Format("%.2f", hast2);
	pDC->TextOut(x, y1, str2);

    y1 += 30;
	str3.Format("%.2f", hast3);
	pDC->TextOut(x, y1, str3);

	y1 += 30;
	str4.Format("%.2f", hast4);
	pDC->TextOut(x, y1, str4);

	y1 += 30;
	str5.Format("%.2f", hast5);
	pDC->TextOut(x, y1, str5);

	pDC->SetTextColor(RGB(155, 0, 0));
	CString s1, s2, s3, s4, s5;

	int y2;
	x += 80;
	y2 = 75;

	s1.Format("%.2f", hastoc1);
	pDC->TextOut(x, y2, s1);
	y2 += 30;

	s2.Format("%.2f", hastoc2);
	pDC->TextOut(x, y2, s2);
	y2 += 30;

		s3.Format("%.2f", hastoc3);
	pDC->TextOut(x, y2, s3);
	y2 += 30;

		s4.Format("%.2f", hastoc4);
	pDC->TextOut(x, y2, s4);
	y2 += 30;

		s5.Format("%.2f", hastoc5);
	pDC->TextOut(x, y2, s5);
	y2 += 30;

	CString sth1, sth2, sth3, sth4, sth5, sth6,sth7, sth8, sth9, sth10;
	int y3;
	x += 80;
	y3 = 75;

	pDC->SetTextColor(RGB(0, 155, 0));
	sth1.Format("%.0f", hst1);
	pDC->TextOut(x, y3, sth1);
	y3 += 30;

		sth2.Format("%.0f", hst2);
	pDC->TextOut(x, y3, sth2);
	y3 += 30;

		sth3.Format("%.0f", hst3);
	pDC->TextOut(x, y3, sth3);
	y3 += 30;

		sth4.Format("%.0f", hst4);
	pDC->TextOut(x, y3, sth4);
	y3 += 30;

		sth5.Format("%.0f", hst5);
	pDC->TextOut(x, y3, sth5);
	y3 += 30;

		pDC->SetTextColor(RGB(155, 0, 0));
	int y4;
	x += 80;
	y4 = 75;
		sth6.Format("%.0f", hst6);
	pDC->TextOut(x, y4, sth6);
	y4 += 30;

		sth7.Format("%.0f", hst7);
	pDC->TextOut(x, y4, sth7);
	y4 += 30;

		sth8.Format("%.0f", hst8);
	pDC->TextOut(x, y4, sth8);
	y4 += 30;

		sth9.Format("%.0f", hst9);
	pDC->TextOut(x, y4, sth9);
	y4 += 30;

		sth10.Format("%.0f", hst10);
	pDC->TextOut(x, y4, sth10);
	y4 += 30;


// Done with the font.  Delete the font object.
font.DeleteObject(); 

}

/////////////////////////////////////////////////////////////////////////////
// CDiplomView printing

BOOL CDiplomView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CDiplomView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CDiplomView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CDiplomView diagnostics

#ifdef _DEBUG
void CDiplomView::AssertValid() const
{
	CView::AssertValid();
}

void CDiplomView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CDiplomDoc* CDiplomView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CDiplomDoc)));
	return (CDiplomDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CDiplomView message handlers

void CDiplomView::OnInitialUpdate() 
{
	CView::OnInitialUpdate();
	
	// TODO: Add your specialized code here and/or call the base class
		CDiplomDoc* pDoc = GetDocument();
		
		mQ1 = pDoc->mQ1;
		mQ2 = pDoc->mQ2;

	hast1 = pDoc->hast1;
	hast2 = pDoc->hast2;
	hast3 = pDoc->hast3;
	hast4 = pDoc->hast4;
	hast5 = pDoc->hast5;

	hastoc1 = pDoc->hastoc1;
	hastoc2 = pDoc->hastoc2;
	hastoc3 = pDoc->hastoc3;
	hastoc4 = pDoc->hastoc4;
	hastoc5 = pDoc->hastoc5;

	hst1 = pDoc->hst1;
	hst2 = pDoc->hst2;
	hst3 = pDoc->hst3;
	hst4 = pDoc->hst4;
	hst5 = pDoc->hst5;
	hst6 = pDoc->hst6;
	hst7 = pDoc->hst7;
	hst8 = pDoc->hst8;
	hst9 = pDoc->hst9;
	hst10 = pDoc->hst10;


    pDoc->SetTitle("Arsen");
}



void CDiplomView::OnCntdlg() 
{
	CDiplomDoc* pDoc = GetDocument(); //    

	CCountDlg MyD; //    CMyDialog
	MyD.m_has1 = pDoc->hast1; //   
	MyD.m_has2 = pDoc->hast2;
	MyD.m_has3 = pDoc->hast3;
	MyD.m_has4 = pDoc->hast4;
	MyD.m_has5 = pDoc->hast5;

	MyD.m_hast1 = pDoc->hastoc1;
	MyD.m_hast2 = pDoc->hastoc2;
	MyD.m_hast3 = pDoc->hastoc3;
	MyD.m_hast4 = pDoc->hastoc4;
	MyD.m_hast5 = pDoc->hastoc5;

	MyD.m_h1 = pDoc->hst1;
	MyD.m_h2 = pDoc->hst2;
	MyD.m_h3 = pDoc->hst3;
	MyD.m_h4 = pDoc->hst4;
	MyD.m_h5 = pDoc->hst5;
	MyD.m_h6 = pDoc->hst6;
	MyD.m_h7 = pDoc->hst7;
	MyD.m_h8 = pDoc->hst8;
	MyD.m_h9 = pDoc->hst9;
	MyD.m_h10 = pDoc->hst10;



	MyD.DoModal(); //   

	pDoc->hast1 = MyD.m_has1; //   
	pDoc->hast2 = MyD.m_has2; 
	pDoc->hast3 = MyD.m_has3; 
	pDoc->hast4 = MyD.m_has4; 
	pDoc->hast5 = MyD.m_has5; 

	pDoc->hastoc1 = MyD.m_hast1;
	pDoc->hastoc2 = MyD.m_hast2;
	pDoc->hastoc3 = MyD.m_hast3;
	pDoc->hastoc4 = MyD.m_hast4;
	pDoc->hastoc5 = MyD.m_hast5;

	pDoc->hst1 = MyD.m_h1;
	pDoc->hst2 = MyD.m_h2;
	pDoc->hst3 = MyD.m_h3;
	pDoc->hst4 = MyD.m_h4;
	pDoc->hst5 = MyD.m_h5;
	pDoc->hst6 = MyD.m_h6;
	pDoc->hst7 = MyD.m_h7;
	pDoc->hst8 = MyD.m_h8;
	pDoc->hst9 = MyD.m_h9;
	pDoc->hst10 = MyD.m_h10;
	pDoc->mQ1 = MyD.m_h1 + MyD.m_h2 + MyD.m_h3 + MyD.m_h4 + MyD.m_h5;
	pDoc->mQ2 = MyD.m_h6 + MyD.m_h7 + MyD.m_h8 + MyD.m_h9 + MyD.m_h10;
	OnInitialUpdate(); //   
    Invalidate( TRUE ); //  (  OnDraw())
	   UpdateWindow();
//	pDoc->SetModifiedFlag(); //    
}
