// DiplomView.h : interface of the CDiplomView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DIPLOMVIEW_H__17E0270F_35BF_11D6_BA88_83220E26A17E__INCLUDED_)
#define AFX_DIPLOMVIEW_H__17E0270F_35BF_11D6_BA88_83220E26A17E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CDiplomView : public CView
{
protected: // create from serialization only
	CDiplomView();
	DECLARE_DYNCREATE(CDiplomView)

// Attributes
public:
	CDiplomDoc* GetDocument();
	double mQ1;
	double mQ2;

	double hast1;
	double hast2;
	double hast3;
	double hast4;
	double hast5;

	double hastoc1;
	double hastoc2;
	double hastoc3;
	double hastoc4;
	double hastoc5;

	double hst1;
	double hst2;
	double hst3;
	double hst4;
	double hst5;
	double hst6;
	double hst7;
	double hst8;
	double hst9;
	double hst10;


// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDiplomView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDiplomView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	CRect m_rect[4][6];

// Generated message map functions
protected:
	//{{AFX_MSG(CDiplomView)
	afx_msg void OnCntdlg();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in DiplomView.cpp
inline CDiplomDoc* CDiplomView::GetDocument()
   { return (CDiplomDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DIPLOMVIEW_H__17E0270F_35BF_11D6_BA88_83220E26A17E__INCLUDED_)
